Bug 1265764 - openstack-tuskar-ui: When the node is ON - the "Delete Nodes" buttons should become disabled.
openstack-tuskar-ui: When the node is ON - the "Delete Nodes" buttons should ...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tuskar-ui (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: Ana Krivokapic
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 13:26 EDT by Alexander Chuzhoy
Modified: 2016-04-18 02:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 12:38:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2015-09-23 13:26:03 EDT
openstack-tuskar-ui: When the node is ON - the "Delete Nodes" buttons should become disabled


Environment:
openstack-tuskar-ui-0.4.0-3.el7ost.noarch

Steps to reproduce:
1. Deploy undercloud.
2. Register some node.
3. While the node is on (or being discovered) try to click on delete button.

Result:
Error: You are not allowed to delete node: <UUID>


Expected result:
You shouldn't be able to click on the delete button, until the host is powered off.

Note You need to log in before you can comment on or make changes to this bug.